13635 | | |
13636 | | |
13637 | | |
13638 | | { echo "$as_me:$LINENO: checking for InitializeMagick in -lMagick++" >&5 |
13639 | | echo $ECHO_N "checking for InitializeMagick in -lMagick++... $ECHO_C" >&6; } |
13640 | | if test "${ac_cv_lib_Magickpp_InitializeMagick+set}" = set; then |
13641 | | echo $ECHO_N "(cached) $ECHO_C" >&6 |
13642 | | else |
13643 | | ac_check_lib_save_LIBS=$LIBS |
13644 | | LIBS="-lMagick++ -llcms -lfreetype -ljpeg -lfontconfig -lXext -lSM -lICE -lX11 -lz -lpthread -lm -lpthread $LIBS" |
13645 | | cat >conftest.$ac_ext <<_ACEOF |
13646 | | /* confdefs.h. */ |
13647 | | _ACEOF |
13648 | | cat confdefs.h >>conftest.$ac_ext |
13649 | | cat >>conftest.$ac_ext <<_ACEOF |
13650 | | /* end confdefs.h. */ |
13651 | | |
13652 | | /* Override any GCC internal prototype to avoid an error. |
13653 | | Use char because int might match the return type of a GCC |
13654 | | builtin and then its argument prototype would still apply. */ |
13655 | | #ifdef __cplusplus |
13656 | | extern "C" |
13657 | | #endif |
13658 | | char InitializeMagick (); |
13659 | | int |
13660 | | main () |
13661 | | { |
13662 | | return InitializeMagick (); |
13663 | | ; |
13664 | | return 0; |
13665 | | } |
13666 | | _ACEOF |
13667 | | rm -f conftest.$ac_objext conftest$ac_exeext |
13668 | | if { (ac_try="$ac_link" |
13669 | | case "(($ac_try" in |
13670 | | *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;; |
13671 | | *) ac_try_echo=$ac_try;; |
13672 | | esac |
13673 | | eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5 |
13674 | | (eval "$ac_link") 2>conftest.er1 |
| 13644 | if test -n "$IMAGEMAGICK_CFLAGS"; then |
| 13645 | pkg_cv_IMAGEMAGICK_CFLAGS="$IMAGEMAGICK_CFLAGS" |
| 13646 | elif test -n "$PKG_CONFIG"; then |
| 13647 | if test -n "$PKG_CONFIG" && \ |
| 13648 | { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"ImageMagick++\"") >&5 |
| 13649 | ($PKG_CONFIG --exists --print-errors "ImageMagick++") 2>&5 |
13697 | | { echo "$as_me:$LINENO: result: $ac_cv_lib_Magickpp_InitializeMagick" >&5 |
13698 | | echo "${ECHO_T}$ac_cv_lib_Magickpp_InitializeMagick" >&6; } |
13699 | | if test $ac_cv_lib_Magickpp_InitializeMagick = yes; then |
13700 | | if test "${ac_cv_header_Magickpp_h+set}" = set; then |
13701 | | { echo "$as_me:$LINENO: checking for Magick++.h" >&5 |
13702 | | echo $ECHO_N "checking for Magick++.h... $ECHO_C" >&6; } |
13703 | | if test "${ac_cv_header_Magickpp_h+set}" = set; then |
13704 | | echo $ECHO_N "(cached) $ECHO_C" >&6 |
| 13657 | else |
| 13658 | pkg_failed=untried |
13706 | | { echo "$as_me:$LINENO: result: $ac_cv_header_Magickpp_h" >&5 |
13707 | | echo "${ECHO_T}$ac_cv_header_Magickpp_h" >&6; } |
13708 | | else |
13709 | | # Is the header compilable? |
13710 | | { echo "$as_me:$LINENO: checking Magick++.h usability" >&5 |
13711 | | echo $ECHO_N "checking Magick++.h usability... $ECHO_C" >&6; } |
13712 | | cat >conftest.$ac_ext <<_ACEOF |
13713 | | /* confdefs.h. */ |
13714 | | _ACEOF |
13715 | | cat confdefs.h >>conftest.$ac_ext |
13716 | | cat >>conftest.$ac_ext <<_ACEOF |
13717 | | /* end confdefs.h. */ |
13718 | | $ac_includes_default |
13719 | | #include <Magick++.h> |
13720 | | _ACEOF |
13721 | | rm -f conftest.$ac_objext |
13722 | | if { (ac_try="$ac_compile" |
13723 | | case "(($ac_try" in |
13724 | | *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;; |
13725 | | *) ac_try_echo=$ac_try;; |
13726 | | esac |
13727 | | eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5 |
13728 | | (eval "$ac_compile") 2>conftest.er1 |
| 13660 | if test -n "$IMAGEMAGICK_LIBS"; then |
| 13661 | pkg_cv_IMAGEMAGICK_LIBS="$IMAGEMAGICK_LIBS" |
| 13662 | elif test -n "$PKG_CONFIG"; then |
| 13663 | if test -n "$PKG_CONFIG" && \ |
| 13664 | { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"ImageMagick++\"") >&5 |
| 13665 | ($PKG_CONFIG --exists --print-errors "ImageMagick++") 2>&5 |
13745 | | |
13746 | | rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext |
13747 | | { echo "$as_me:$LINENO: result: $ac_header_compiler" >&5 |
13748 | | echo "${ECHO_T}$ac_header_compiler" >&6; } |
13749 | | |
13750 | | # Is the header present? |
13751 | | { echo "$as_me:$LINENO: checking Magick++.h presence" >&5 |
13752 | | echo $ECHO_N "checking Magick++.h presence... $ECHO_C" >&6; } |
13753 | | cat >conftest.$ac_ext <<_ACEOF |
13754 | | /* confdefs.h. */ |
13755 | | _ACEOF |
13756 | | cat confdefs.h >>conftest.$ac_ext |
13757 | | cat >>conftest.$ac_ext <<_ACEOF |
13758 | | /* end confdefs.h. */ |
13759 | | #include <Magick++.h> |
13760 | | _ACEOF |
13761 | | if { (ac_try="$ac_cpp conftest.$ac_ext" |
13762 | | case "(($ac_try" in |
13763 | | *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;; |
13764 | | *) ac_try_echo=$ac_try;; |
13765 | | esac |
13766 | | eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5 |
13767 | | (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1 |
13768 | | ac_status=$? |
13769 | | grep -v '^ *+' conftest.er1 >conftest.err |
13770 | | rm -f conftest.er1 |
13771 | | cat conftest.err >&5 |
13772 | | echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
13773 | | (exit $ac_status); } >/dev/null && { |
13774 | | test -z "$ac_cxx_preproc_warn_flag$ac_cxx_werror_flag" || |
13775 | | test ! -s conftest.err |
13776 | | }; then |
13777 | | ac_header_preproc=yes |
13778 | | else |
13779 | | echo "$as_me: failed program was:" >&5 |
13780 | | sed 's/^/| /' conftest.$ac_ext >&5 |
13781 | | |
13782 | | ac_header_preproc=no |
| 13673 | else |
| 13674 | pkg_failed=untried |
13789 | | # So? What about this header? |
13790 | | case $ac_header_compiler:$ac_header_preproc:$ac_cxx_preproc_warn_flag in |
13791 | | yes:no: ) |
13792 | | { echo "$as_me:$LINENO: WARNING: Magick++.h: accepted by the compiler, rejected by the preprocessor!" >&5 |
13793 | | echo "$as_me: WARNING: Magick++.h: accepted by the compiler, rejected by the preprocessor!" >&2;} |
13794 | | { echo "$as_me:$LINENO: WARNING: Magick++.h: proceeding with the compiler's result" >&5 |
13795 | | echo "$as_me: WARNING: Magick++.h: proceeding with the compiler's result" >&2;} |
13796 | | ac_header_preproc=yes |
13797 | | ;; |
13798 | | no:yes:* ) |
13799 | | { echo "$as_me:$LINENO: WARNING: Magick++.h: present but cannot be compiled" >&5 |
13800 | | echo "$as_me: WARNING: Magick++.h: present but cannot be compiled" >&2;} |
13801 | | { echo "$as_me:$LINENO: WARNING: Magick++.h: check for missing prerequisite headers?" >&5 |
13802 | | echo "$as_me: WARNING: Magick++.h: check for missing prerequisite headers?" >&2;} |
13803 | | { echo "$as_me:$LINENO: WARNING: Magick++.h: see the Autoconf documentation" >&5 |
13804 | | echo "$as_me: WARNING: Magick++.h: see the Autoconf documentation" >&2;} |
13805 | | { echo "$as_me:$LINENO: WARNING: Magick++.h: section \"Present But Cannot Be Compiled\"" >&5 |
13806 | | echo "$as_me: WARNING: Magick++.h: section \"Present But Cannot Be Compiled\"" >&2;} |
13807 | | { echo "$as_me:$LINENO: WARNING: Magick++.h: proceeding with the preprocessor's result" >&5 |
13808 | | echo "$as_me: WARNING: Magick++.h: proceeding with the preprocessor's result" >&2;} |
13809 | | { echo "$as_me:$LINENO: WARNING: Magick++.h: in the future, the compiler will take precedence" >&5 |
13810 | | echo "$as_me: WARNING: Magick++.h: in the future, the compiler will take precedence" >&2;} |
13838 | | # Extract the first word of "Magick++-config", so it can be a program name with args. |
13839 | | set dummy Magick++-config; ac_word=$2 |
13840 | | { echo "$as_me:$LINENO: checking for $ac_word" >&5 |
13841 | | echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; } |
13842 | | if test "${ac_cv_prog_MAGICKPP_CONFIG+set}" = set; then |
13843 | | echo $ECHO_N "(cached) $ECHO_C" >&6 |
13844 | | else |
13845 | | if test -n "$MAGICKPP_CONFIG"; then |
13846 | | ac_cv_prog_MAGICKPP_CONFIG="$MAGICKPP_CONFIG" # Let the user override the test. |
13847 | | else |
13848 | | as_save_IFS=$IFS; IFS=$PATH_SEPARATOR |
13849 | | for as_dir in $PATH |
13850 | | do |
13851 | | IFS=$as_save_IFS |
13852 | | test -z "$as_dir" && as_dir=. |
13853 | | for ac_exec_ext in '' $ac_executable_extensions; do |
13854 | | if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then |
13855 | | ac_cv_prog_MAGICKPP_CONFIG="yes" |
13856 | | echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5 |
13857 | | break 2 |
13858 | | fi |
13859 | | done |
13860 | | done |
13861 | | IFS=$as_save_IFS |
13862 | | |
13863 | | test -z "$ac_cv_prog_MAGICKPP_CONFIG" && ac_cv_prog_MAGICKPP_CONFIG="no" |
13864 | | fi |
13865 | | fi |
13866 | | MAGICKPP_CONFIG=$ac_cv_prog_MAGICKPP_CONFIG |
13867 | | if test -n "$MAGICKPP_CONFIG"; then |
13868 | | { echo "$as_me:$LINENO: result: $MAGICKPP_CONFIG" >&5 |
13869 | | echo "${ECHO_T}$MAGICKPP_CONFIG" >&6; } |
13870 | | else |
13871 | | { echo "$as_me:$LINENO: result: no" >&5 |
13872 | | echo "${ECHO_T}no" >&6; } |
13873 | | fi |
13874 | | |
13875 | | |
13876 | | if test "x$MAGICKPP_CONFIG" = "xyes"; then |
13877 | | IMAGEMAGICK_LIBS=`Magick++-config --libs` |
13878 | | |